MakeMCEuropeanBasketEngine< RNG, S > Class Template Reference

Monte Carlo basket-option engine factory. More...

`#include <ql/pricingengines/basket/mceuropeanbasketengine.hpp>`

## Public Member Functions

| MakeMCEuropeanBasketEngine (const boost::shared_ptr< StochasticProcessArray > &)
MakeMCEuropeanBasketEngine & | withSteps (Size steps)
MakeMCEuropeanBasketEngine & | withStepsPerYear (Size steps)
MakeMCEuropeanBasketEngine & | withBrownianBridge (bool b=true)
MakeMCEuropeanBasketEngine & | withAntitheticVariate (bool b=true)
MakeMCEuropeanBasketEngine & | withSamples (Size samples)
MakeMCEuropeanBasketEngine & | withAbsoluteTolerance (Real tolerance)
MakeMCEuropeanBasketEngine & | withMaxSamples (Size samples)
MakeMCEuropeanBasketEngine & | withSeed (BigNatural seed)
| operator boost::shared_ptr< PricingEngine > () const

## Detailed Description

### template<class RNG = PseudoRandom, class S = Statistics>
class QuantLib::MakeMCEuropeanBasketEngine< RNG, S >

Monte Carlo basket-option engine factory.